WarmupConfig (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.repository, class: WarmupConfig

Package com.franz.agraph.repository

# Class WarmupConfig

java.lang.Object
com.franz.agraph.repository.WarmupConfig

public final class WarmupConfig extends Object
Provides detailed configuration for the warmup operation. Config objects are immutable. New instances can be created using a fluid interface:

       WarmupConfig.create().includeStrings(true).includeTriples(false);

The config stores values for a set of parameters. These currently include:

includeStrings (boolean, default: true)
  Should the string table be included in the operation?
includeTriples (boolean, default: true)
  Should triple indices be included in the operation?

See Also:
  - `AGRepositoryConnection.warmup(WarmupConfig)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WarmupConfig`
  `create()`
  Creates a fresh config with default values.
  `WarmupConfig`
  `excludeStrings()`
  Creates a modified config that causes triple indices to be included in the warmup operation.
  `WarmupConfig`
  `excludeTriples()`
  Creates a modified config that causes triple indices to be excluded from the warmup operation.
  `boolean`
  `getIncludeStrings()`
  Checks if the string table should be included.
  `boolean`
  `getIncludeTriples()`
  Checks if triple indices should be included.
  `WarmupConfig`
  `includeStrings()`
  Creates a modified config that causes the string table to be included in the warmup operation.
  `WarmupConfig`
  `includeStrings(boolean includeStrings)`
  Creates a config with a modified includeStrings value.
  `WarmupConfig`
  `includeTriples()`
  Creates a modified config that causes the string table to be excluded from the warmup operation.
  `WarmupConfig`
  `includeTriples(boolean includeTriples)`
  Creates a config with a modified includeTriples value.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### create

    public static WarmupConfig create()
    Creates a fresh config with default values.
    Returns:
      a new config object.

  - ### getIncludeStrings

    public boolean getIncludeStrings()
    Checks if the string table should be included.
    Returns:
      Value of the includeStrings parameter.

  - ### getIncludeTriples

    public boolean getIncludeTriples()
    Checks if triple indices should be included.
    Returns:
      Value of the includeTriples parameter.

  - ### includeStrings

    public WarmupConfig includeStrings(boolean includeStrings)
    Creates a config with a modified includeStrings value.
    Parameters:
      `includeStrings` - New value.
    Returns:
      A fresh config object with the new value.

  - ### includeTriples

    public WarmupConfig includeTriples(boolean includeTriples)
    Creates a config with a modified includeTriples value.
    Parameters:
      `includeTriples` - New value.
    Returns:
      A fresh config object with the new value.

  - ### includeStrings

    public WarmupConfig includeStrings()
    Creates a modified config that causes the string table to be included in the warmup operation.
    Returns:
      A new, modified config.

  - ### includeTriples

    public WarmupConfig includeTriples()
    Creates a modified config that causes the string table to be excluded from the warmup operation.
    Returns:
      A new, modified config.

  - ### excludeStrings

    public WarmupConfig excludeStrings()
    Creates a modified config that causes triple indices to be included in the warmup operation.
    Returns:
      A new, modified config.

  - ### excludeTriples

    public WarmupConfig excludeTriples()
    Creates a modified config that causes triple indices to be excluded from the warmup operation.
    Returns:
      A new, modified config.